Patch Proxy
curl --request PATCH \
--url https://api.example.com/api/v1/proxies/{proxy_id} \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"system_prompt": "<string>",
"intent": "<string>",
"provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/api/v1/proxies/{proxy_id}"
payload = {
"name": "<string>",
"description": "<string>",
"system_prompt": "<string>",
"intent": "<string>",
"provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
system_prompt: '<string>',
intent: '<string>',
provider_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
owner_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/api/v1/proxies/{proxy_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"system_prompt": "<string>",
"intent": "<string>",
"provider_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"provider": "<string>",
"model": "<string>"
},
"proxy_url": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}proxies
Patch Proxy
PATCH
/
api
/
v1
/
proxies
/
{proxy_id}
Patch Proxy
Path Parameters
Body
application/json
Response
Successful Response
Available options:
draft, active Available options:
auto, manual Show child attributes
Show child attributes
⌘I